{
  "root": true,
  "parser": "@typescript-eslint/parser",
  "plugins": [
    "@typescript-eslint",
    "eslint-comments",
    "promise",
    "unicorn",
    "prettier"
  ],
  "extends": [
    "airbnb",
    "airbnb/hooks",
    "airbnb-typescript",
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended",
    "plugin:@typescript-eslint/recommended-requiring-type-checking",
    "plugin:eslint-comments/recommended",
    "plugin:promise/recommended",
    "plugin:unicorn/recommended",
    // "plugin:@next/next/recommended",
    "prettier"
  ],
  "env": {
    "node": true,
    "browser": true
  },
  "parserOptions": {
    "project": "./tsconfig.json"
  },
  "rules": {
    "prettier/prettier": "warn",
    "camelcase": "off",
    "no-console": ["warn", { "allow": ["info", "warn", "error"] }],
    "no-unused-vars": "warn",
    "no-underscore-dangle": "off",
    "no-param-reassign": "off",
    "no-nested-ternary": "off",
    "no-alert": "off",
    "lines-between-class-members": "off",
    "import/prefer-default-export": "off",
    "react/prop-types": "off",
    "react/jsx-one-expression-per-line": "off",
    "react/jsx-indent": "off",
    "react/jsx-curly-newline": "off",
    "react/jsx-props-no-spreading": "off",
    "react/jsx-wrap-multilines": "off",
    "react-hooks/rules-of-hooks": "error",
    "react-hooks/exhaustive-deps": "warn",
    "@typescript-eslint/no-misused-promises": "off",
    "eslint-disable-next-line": "off",
    "eslint-comments/disable-enable-pair": "off",
    "@typescript-eslint/no-explicit-any": "error"
  }
}
